package com.coherentlogic.fred.client.core.domain;

import static com.coherentlogic.fred.client.core.util.Constants.VINTAGE_DATE;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

/**
 * A class which represents a date in history when a series' data values were
 * revised or new data values were released.
 *
 * @see <a href="http://api.stlouisfed.org/docs/fred/series_vintagedates.html">
 * series_vintagedates</a>
 *
 * @author <a href="support@coherentlogic.com">Support</a>
 */
@Entity
@Table(name=VINTAGE_DATE)
@XStreamAlias(VINTAGE_DATE)
public class VintageDate extends DefaultObject {

    private static final long serialVersionUID = -2292733673582823136L;

    @XStreamAlias(VINTAGE_DATE)
    @XStreamAsAttribute
    private Date vintageDate = null;

    public Date getVintageDate() {
        return vintageDate;
    }

    public void setVintageDate(Date vintageDate) {
        this.vintageDate = vintageDate;
    }
}
